## org.eclipse.xsd.provider
Class XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor
          org.eclipse.xsd.provider.XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor

All Implemented Interfaces:
  IItemPropertyDescriptor, IItemPropertyDescriptor.OverrideableCommandOwner

Enclosing class:
  XSDAttributeDeclarationItemProvider

    protected static class XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor

extends ItemPropertyDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`adapterFactory, BOOLEAN_VALUE_IMAGE, category, commandOwner, description, displayName, ecorePackage, feature, filterFlags, GENERIC_VALUE_IMAGE, INTEGRAL_VALUE_IMAGE, isSettable, itemDelegator, multiLine, parentReferences, REAL_VALUE_IMAGE, resourceLocator, sortChoices, staticImage, TEXT_VALUE_IMAGE`

Constructor Summary
`XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor(AdapterFactory adapterFactory, java.lang.String displayName, java.lang.String description, EStructuralFeature feature, boolean isSettable, java.lang.Object staticImage)`

Method Summary
`java.lang.Object` `getPropertyValue(java.lang.Object object)`
`void` `setPropertyValue(java.lang.Object object, java.lang.Object value)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`canSetProperty, collectReachableObjectsOfType, createPropertyValueWrapper, getCategory, getChoiceOfValues, getComboBoxObjects, getCommandOwner, getCommandOwner, getDefaultId, getDefaultValue, getDescription, getDisplayName, getEditingDomain, getFeature, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getReachableObjectsOfType, getValue, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setCommandOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor

    public XSDAttributeDeclarationItemProvider.DelegatingItemPropertyDescriptor(AdapterFactory adapterFactory,
                                                                                java.lang.String displayName,
                                                                                java.lang.String description,
                                                                                EStructuralFeature feature,
                                                                                boolean isSettable,
                                                                                java.lang.Object staticImage)

Method Detail

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object object)

  Specified by:
    `getPropertyValue` in interface `IItemPropertyDescriptor`
  Overrides:
    `getPropertyValue` in class `ItemPropertyDescriptor`

### setPropertyValue

    public void setPropertyValue(java.lang.Object object,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `IItemPropertyDescriptor`
  Overrides:
    `setPropertyValue` in class `ItemPropertyDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.